Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.18.22 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16023
Description

When trying to use SLD with QGIS mapserver including SLD in GetMap requests qgis-mapserver tries to fetch the SLD-file using only
http. Having SLD=https:///www.foo.de/mysld.xml is taken as http:///www.foo.de/mysld.xml - if sld-files are only available via https qgis
mapserver can not fetch them. A "premature end of script” error is thrown.

As another side-effect using SLD=https:///www.foo.de:443/mysld.xml with results in a 400 bad request error, because qgis mapserver
tries to ftech http:///www.foo.de:443/...

Solution: ggis mapserver should respect https (well, how to handle self-signed certificates then?)

Associated revisions

Revision a5dd6eb8 - 2018-09-10 11:55 AM - René-Luc RelLuc

[BUGFIX][Server] Quickfix in QgsHttpTransaction to support HTTPS scheme

The class QgsHttpTransaction is only used in server for getting files provided by URL. This class does not support HTTPS.

This is a quickfix to enable requesting SLD files provided through HTTPS scheme.

Fixes #6898 QGIS mapserver forces http when requesting SLD=httpshttps:/issues.qgis.org/issues/6898 a five year old issue.

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-09-07 03:13 PM - René-Luc ReLuc

- Affected QGIS version changed from master to 2.18.22
- Pull Request or Patch supplied changed from No to Yes
- Assignee set to René-Luc RelLuc

- Description updated

PR supplied https://github.com/qgis/QGIS/pull/7827

#3 - 2018-09-10 02:02 PM - René-Luc ReLuc
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a5dd6eb877fd1208fc10897625eb3d94768ea297.

#4 - 2018-09-10 02:03 PM - Giovanni Manghi

- Resolution set to fixed/implemented
